# ================================================================

use strict;

# ================================================================

require $main::iScriptBase.'Function_Shared.pl';

# ================================================================

require $main::iScriptBase.'version.txt';

require $main::iScriptBase.'Function_Private.pl';

# ================================================================

our($iQuery_year)  = 'year';
our($iQuery_month) = 'month';

# ================================================================

our($gHeader)='';
our($gBody)='';

our(%gQueryURL)=&getURLQueryEntries(0);

my($aTargetYear)=$gQueryURL{$iQuery_year};
my($aTargetMonth)=$gQueryURL{$iQuery_month};

my($tSecond,$tMinute,$tHour,$tDay,$tMonth,$tYear,$tWDay)=localtime(time);

$tYear+=1900;
$tMonth++;

my($tTargetYear)=$tYear;
my($tTargetMonth)=$tMonth;

if((&isDifferent($aTargetYear,''))&&(&isDifferent($aTargetMonth,'')))
{
	$tTargetYear=$aTargetYear+0;
	$tTargetMonth=$aTargetMonth+0;
}

my($tWDayFirst)=&getDayOfWeek($tTargetYear,$tTargetMonth,1);
my($tDaysOfMonth)=&getDaysOfMonth($tTargetYear,$tTargetMonth);
my($tWDayLast)=($tWDayFirst+$tDaysOfMonth-1)%7;

$gHeader.=&getHTTPContentHeader('ja','EUC-JP');

$gBody.=&getHTMLDocumentOpen($main::iTitle,'ja','EUC-JP',\@main::iCSSFile);
$gBody.=&getHTMLCaption($main::iTitle,1);
$gBody.=&getHTMLParagraphOpen();
$gBody.='<table class="CalendarList" border="1" cellpadding="1" summary="table">'."\n";
$gBody.='<tr>'."\n";

my($tYearPrevious)=($tTargetMonth==1)?($tTargetYear-1):($tTargetYear);
my($tMonthPrevious)=($tTargetMonth==1)?(12):($tTargetMonth-1);

my($tYearNext)=($tTargetMonth==12)?($tTargetYear+1):($tTargetYear);
my($tMonthNext)=($tTargetMonth==12)?(1):($tTargetMonth+1);

my($tURLPrevious)=&getScriptURL().'?'.$iQuery_year.'='.$tYearPrevious.'&'.$iQuery_month."=".$tMonthPrevious;
my($tURLNext)=&getScriptURL().'?'.$iQuery_year.'='.$tYearNext.'&'.$iQuery_month."=".$tMonthNext;

$gBody.='<td class="CalendarList_Previous"><a href="'.$tURLPrevious.'"></a></td>'."\n";
$gBody.='<td class="CalendarList_Month" colspan="5">'.&getFileLinkIfExlists(sprintf('%04d%02d.'.$main::iFileExtension,$tTargetYear,$tTargetMonth),$main::iBaseURL,sprintf('%04d/%02d',$tTargetYear,$tTargetMonth)).'</td>'."\n";
$gBody.='<td class="CalendarList_Next"><a href="'.$tURLNext.'"></a></td>'."\n";
$gBody.='</tr>'."\n";
$gBody.='<tr>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='<td class="CalendarList_Day"></td>'."\n";
$gBody.='</tr>'."\n";

if($tWDayFirst!=0)
{
	$gBody.='<tr>'."\n";

	for(my($tCount1)=0;$tCount1<$tWDayFirst;$tCount1++)
	{
		$gBody.='<td class="CalendarList_Day"><br></td>'."\n";
	}
}

for(my($tCount1)=1;$tCount1<=$tDaysOfMonth;$tCount1++)
{
	if(($tCount1+$tWDayFirst-1)%7==0)
	{
		$gBody.='<tr>'."\n";
	}

	if(($tTargetYear==$tYear)&&($tTargetMonth==$tMonth)&&($tCount1==$tDay))
	{
		$gBody.='<td class="CalendarList_Today">'.&getFileLinkIfExlists(sprintf('%04d%02d%02d.'.$main::iFileExtension,$tTargetYear,$tTargetMonth,$tCount1),$main::iBaseURL,$tCount1).'</td>'."\n";
	}
	else
	{
		$gBody.='<td class="CalendarList_Day">'.&getFileLinkIfExlists(sprintf('%04d%02d%02d.'.$main::iFileExtension,$tTargetYear,$tTargetMonth,$tCount1),$main::iBaseURL,$tCount1).'</td>'."\n";
	}

	if(($tCount1+$tWDayFirst-1)%7==6)
	{
		$gBody.='</tr>'."\n";
	}
}

if($tWDayLast!=6)
{
	for(my($tCount1)=$tWDayLast;$tCount1<6;$tCount1++)
	{
		$gBody.='<td class="CalendarList_Day"><br></td>'."\n";
	}

	$gBody.='</tr>'."\n";
}

$gBody.='</table>'."\n";
$gBody.=&getHTMLParagraphClose();
$gBody.=&getHTMLLine();
$gBody.='<a href="./index.html">ܼ</a><br>'."\n";
$gBody.=&getHTMLDocumentCloseWithApplicationVersion($main::iApplicationName,$main::iApplicationVersion,$main::iLibraryVersion);

&printResponseCache($gHeader,$gBody);

# ================================================================

1;
